## org.apache.batik.dom.svg
Class SVGStyleSheetProcessingInstruction

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractProcessingInstruction
                  org.apache.batik.dom.StyleSheetProcessingInstruction
                      org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction

All Implemented Interfaces:
  CSSStyleSheetNode, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.stylesheets.LinkStyle, org.w3c.dom.Node, NodeEventTarget, org.w3c.dom.ProcessingInstruction, java.io.Serializable

public class SVGStyleSheetProcessingInstruction
extends StyleSheetProcessingInstruction
implements CSSStyleSheetNode

This class provides an implementation of the 'xml-stylesheet' processing instructions.

See Also:
  Serialized Form

Field Summary
`protected StyleSheet` `styleSheet` The style-sheet.

Fields inherited from class org.apache.batik.dom.StyleSheetProcessingInstruction
`factory, pseudoAttributes, readonly, sheet`

Fields inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`data`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` `SVGStyleSheetProcessingInstruction()` Creates a new ProcessingInstruction object.
`` `SVGStyleSheetProcessingInstruction(java.lang.String data, AbstractDocument owner, StyleSheetFactory f)` Creates a new ProcessingInstruction object.

Method Summary
`StyleSheet` `getCSSStyleSheet()` Returns the associated style-sheet.
`java.lang.String` `getStyleSheetURI()` Returns the URI of the referenced stylesheet.
`protected org.w3c.dom.Node` `newNode()` Returns a new uninitialized instance of this object's class.
`void` `setData(java.lang.String data)` DOM: Implements `ProcessingInstruction.setData(String)`.

Methods inherited from class org.apache.batik.dom.StyleSheetProcessingInstruction
`getPseudoAttributes, getSheet, getTarget, isReadonly, setNodeName, setReadonly`

Methods inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`copyInto, deepCopyInto, deepExport, export, getData, getNodeName, getNodeType, getNodeValue, setNodeValue`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, appendChild, checkChildType, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, getAttributes, getChildNodes, getCurrentDocument, getEventSupport, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, removeEventListener, replaceChild, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Field Detail

### styleSheet

    protected StyleSheet styleSheet

  The style-sheet.

Constructor Detail

### SVGStyleSheetProcessingInstruction

    protected SVGStyleSheetProcessingInstruction()

  Creates a new ProcessingInstruction object.

### SVGStyleSheetProcessingInstruction

    public SVGStyleSheetProcessingInstruction(java.lang.String data,
                                              AbstractDocument owner,
                                              StyleSheetFactory f)

  Creates a new ProcessingInstruction object.

Method Detail

### getStyleSheetURI

    public java.lang.String getStyleSheetURI()

  Returns the URI of the referenced stylesheet.

### getCSSStyleSheet

    public StyleSheet getCSSStyleSheet()

  Returns the associated style-sheet.

  Specified by:
    `getCSSStyleSheet` in interface `CSSStyleSheetNode`

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  DOM: Implements `ProcessingInstruction.setData(String)`.

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`
  Overrides:
    `setData` in class `StyleSheetProcessingInstruction`
  Throws:
    `org.w3c.dom.DOMException`

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Overrides:
    `newNode` in class `StyleSheetProcessingInstruction`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.